CrossRef (BioJava-1.5-beta API)
Keywords: org.biojavax.CrossRef interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface CrossRef

All Superinterfaces:
  Annotatable, Changeable, Comparable, RichAnnotatable

All Known Implementing Classes:
  SimpleCrossRef

    public interface CrossRef

extends RichAnnotatable, Comparable, Changeable

Represents a cross reference to another database. Relates to the dbxref table in BioSQL. The interface is immutable, the fields are intended to be set by the constructor.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `RankedCrossRef`

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`String` | `getAccession()` Returns the accession of the object that the crossref refers to.
`String` | `getDbname()` Returns the name of the database the cross reference refers to.
`int` | `getVersion()` Returns the version of the object that the crossref refers to.

Methods inherited from interface org.biojavax.RichAnnotatable
`getNoteSet, setNoteSet`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getDbname

    String getDbname()

  Returns the name of the database the cross reference refers to. This would normally be a namespace name, eg. 'gb' for GenBank.

  Returns:
    Value of property dbname.

### getAccession

    String getAccession()

  Returns the accession of the object that the crossref refers to.

  Returns:
    Value of property accession.

### getVersion

    int getVersion()

  Returns the version of the object that the crossref refers to.

  Returns:
    Value of property version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD